Bug 27957 - Error message from eth0/usb at resume
Summary: Error message from eth0/usb at resume
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-16 09:14 UTC by Kjartan Maraas
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-05 17:35:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci output (7.43 KB, text/plain)
2001-02-16 09:15 UTC, Kjartan Maraas
no flags Details

Description Kjartan Maraas 2001-02-16 09:14:46 UTC
When resuming from suspend to ram on a Compaq Armada M300 I get the 
following error message on the console:

eth0: Transmit timed out: status 0000 0000 at 12950/12950 command 000ca000.
usb-uhci.c: interrupt, status 20, frame# 0

Interrupt 11 is shared by usb, PCMCIA (TI PCI1211), eth0 and Ess Maestro 
2E on this laptop.

Comment 1 Kjartan Maraas 2001-02-16 09:15:40 UTC
Created attachment 10220 [details]
lspci output

Comment 2 Arjan van de Ven 2001-02-16 11:07:04 UTC
which of the ethernet modules is this? e100 or eepro100 ?

Comment 3 Kjartan Maraas 2001-02-16 12:11:51 UTC
Sorry for not specifying this to start with. This is the eepro100 module.

[kmaraas@hoth po]$ cat /proc/interrupts
           CPU0
  0:   12303797          XT-PIC  timer
  1:     234002          XT-PIC  keyboard
  2:          0          XT-PIC  cascade
  8:          5          XT-PIC  rtc
 11:     148607          XT-PIC  usb-uhci, Texas Instruments PCI1211, eth0
 12:     316862          XT-PIC  PS/2 Mouse
 14:     764948          XT-PIC  ide0
 15:         78          XT-PIC  ide1
NMI:          0
ERR:          0

[kmaraas@hoth po]$ lsmod
Module                  Size  Used by
ds                      7216   1
yenta_socket           11184   1
pcmcia_core            42720   0 [ds yenta_socket]
eepro100               16368   1 (autoclean)
ipchains               33440   0 (unused)
usb-uhci               22176   0 (unused)
usbcore                48960   1 [usb-uhci]


Comment 4 Glen Foster 2001-02-17 23:29:24 UTC
This defect is considered MUST-FIX for Florence Gold release

Comment 5 Michael K. Johnson 2001-03-02 16:32:20 UTC
does ifup/ifdown in the resume section of
/etc/sysconfig/apm-scripts/apmscript work around this?

For pcmcia/cardbus systems with similar issues, doing
cardctl eject/insert has worked around it in the past.

Comment 6 Kjartan Maraas 2001-03-02 18:31:34 UTC
I don't use any PCMCIA devices on this machine as it has a mini-PCI ethernet
interface. Does this change anything? I'll add it and see.

Comment 7 Michael K. Johnson 2001-03-05 17:35:24 UTC
That means that you need the ifdown/ifup choice instead of cardctl eject/insert

Comment 8 Kjartan Maraas 2001-08-12 08:56:22 UTC
This problem is gone in Roswell. Closing.



Note You need to log in before you can comment on or make changes to this bug.